package intrinsic.mx.effects.effectClasses;

public class ResizeInstance extends intrinsic.mx.effects.effectClasses.TweenEffectInstance {

	/** Accessors */
	public double heightBy;
	public double widthTo;
	public double widthBy;
	public double heightTo;

	/** Variables */
	public double widthFrom;
	public intrinsic.Array hideChildrenTargets;
	public double heightFrom;
	public intrinsic.mx.effects.Tween tween;
	public intrinsic.Function easingFunction;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ResizeInstance() {
}

public ResizeInstance(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void onTweenUpdate(Object arg0);
public native void initEffect(intrinsic.flash.events.Event arg0);
public native void end();
public native void play();
public native void onTweenEnd(Object arg0);

}
